@charset "utf-8";

html {
    scroll-behavior: smooth;
}

body {
    font-family: 'Noto Serif Display', serif;
	background-color: #F2E9E4;
}

.container-fluid {
	background-color: #F2E9E4;
}

.navbar {
    background-color: #22223B;
}

.nav-item {
    margin-left: 15px;
}

.navbar-nav .nav-link {
    color: #F2E9E4 !important;
    font-size: 1.2em;
    text-align: center;
    transition: color 0.3s, text-decoration 0.3s;
}

.navbar-nav .nav-link:hover {
    color: #ffc107 !important;
    text-decoration: underline;
	font-weight: 600
}

.navbar-brand {
    color: #F2E9E4 !important;
    font-size: 1.5em;
}

.navbar-brand img {
    height: 80px;
    margin-right: 20px;
}

.home-section {
	margin-top: 5%;
}

.carousel-item {
    height: 100vh;
}

.carousel-item img {
    object-fit: cover;
    width: 100%;
    height: 100%;
}

.carousel-caption {
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    text-align: center;
    color: #F2E9E4;
}

.carousel-caption h1 {
    font-size: 6rem;
    color: #22223B;
    text-shadow: 0px 0px 10px rgba(255, 255, 255, 0.7), 
                 0px 0px 20px rgba(255, 255, 255, 0.7), 
                 0px 0px 30px rgba(255, 255, 255, 0.7),
                 0px 0px 40px rgba(255, 255, 255, 0.7),
                 0px 0px 50px rgba(255, 255, 255, 0.7);
    font-family: "Noto Serif Display";
    font-style: normal;
    font-weight: 700;
    line-height: normal;
    letter-spacing: -3.9px;
	text-align: center;
}

.carousel-caption p {
    font-size: 2rem;
    color: #FFF;
    text-shadow: 0px 4px 4px rgba(0, 0, 0, 0.25);
    text-align: center;
    font-family: "Alegreya Sans";
    font-style: normal;
    font-weight: 800;
    line-height: normal;
    letter-spacing: 2px;
	margin-top: 20px;
}

.carousel-caption .btn {
    background-color: #FFC107;
    color: #22223B;
	text-align: center;
	font-family: "Noto Serif Display";
	font-size: 1.7rem;
	font-style: normal;
	font-weight: 800;
	line-height: normal;
    border: none;
	border-radius: 30px;
    padding: 20px 30px;
	margin-top: 40px;
}

.carousel-caption .btn:hover {
    background-color: #e0a800;
}

.about-section {
    padding: 160px 0;
    max-height: 90%;
    background: url('image/wall.png') white 0px -100.883px / 100% 116.641% no-repeat;
    background-size: cover;
    color: #fff;
    position: relative;
    text-align: center;
}

.about-section::before {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: 1;
}

.about-section .container {
    position: relative;
    z-index: 2;
}

.about-section h2 {
    color: #22223B;
    font-family: "Noto Serif Display";
    font-size: 4rem;
    font-style: normal;
    font-weight: 700;
    line-height: normal;
    margin-bottom: 20px;
}

.about-section p {
    color: #22223B;
    font-family: "Alegreya Sans";
    font-size: 1.3rem;
    font-style: normal;
    font-weight: 400;
    line-height: normal;
    margin: 0 auto 20px auto;
    width: 60%;
}

.opening-hours {
    width: 100%;
    background-color: #22223B;
    padding: 40px 0;
    color: #F2E9E4;
    text-align: center;
    margin-top: 80px;
}

.opening-hours p {
    font-size: 1.7rem;
    color: #F2E9E4;
    font-family: "Alegreya Sans";
    font-style: normal;
    font-weight: 400;
    line-height: normal;
}

.opening-hours h3 {
    font-size: 4rem;
    font-family: "Noto Serif Display";
    font-weight: 700;
    margin-top: -30px;
}

.smaller-container {
    max-width: 70%; 
    margin: 0 auto;
    padding: 0 15px;
}

.menu-section {
    background-color: #F2E9E4;
	padding-top: 100px;
}

.col-md-6 {
    margin: auto;
}

.menu-item {
    background-color: #FFFFFF;
}

.text {
    width: 70%;
    margin: auto;
    margin-top: 50px;
    margin-bottom: 50px;
}

.menu-section img.img-fluid {
    max-width: 100%;
    height: auto;
    transition: transform 0.3s ease, box-shadow 0.3s ease; 
}

.menu-section img.img-fluid:hover {
    transform: scale(1.05); 
    box-shadow: 0 8px 16px rgba(0, 0, 0, 0.3); 
}

.menu-section .food :hover {
    font-weight: 800;
    text-decoration: underline;
}

.menu-section .inline-img {
    display: inline;
    margin: 0 1em;
    padding: 0;
    vertical-align: baseline;
    height: 1.5rem;
	white-space: nowrap;
}

.menu-section h2 {
    color: #22223B;
    font-family: "Noto Serif Display";
    font-size: 8rem;
    font-weight: 700;
    margin-top: 30px;
    margin-bottom: -27px;
}

.menu-section h3 {
    color: #22223B;
    font-family: "Noto Serif Display";
    font-size: 3rem;
    font-weight: 700;
    margin-bottom: 50px;
    display: inline-flex;
    align-items: center;
}

.menu-section h4 {
    color: #22223B;
    font-family: "Alegreya Sans";
    font-size: 1.2rem;
    font-style: normal;
    font-weight: 700;
    line-height: normal;
    margin-bottom: 20px;
}

.menu-section p {
    color: #22223B;
    font-family: "Alegreya Sans";
    font-size: 1.2rem;
    margin-bottom: 30px;
}

.menu-section strong {
    color: #22223B;
    font-family: "Alegreya Sans";
    font-size: 2rem;
    font-style: normal;
    font-weight: 700;
}

.menu-section .btn-primary {
    background-color: #22223B;
    color: #FFC600;
	text-align: center;
	font-family: "Noto Serif Display";
	font-size: 2.5rem;
	font-style: italic;
	font-weight: 700;
	line-height: normal;
    padding: 20px 20px;
    border: none;
    display: block;
    margin: 0 auto 0; 
}

.menu-section .btn-primary:hover {
    background-color: #e0a800;
    color: #fff;
}

.contact-section {
	padding-top: 150px;
	padding-bottom: 200px;
	padding-left: 50px;
	padding-right: 50px;
}

.contact-section h2 {
	color: #22223B;
    font-family: "Noto Serif Display";
    font-size: 4rem;
    font-style: normal;
    font-weight: 700;
    line-height: normal;
}

.contact-section p {
	color: #22223B;
	font-family: "Alegreya Sans";
	font-size: 1.2rem;
	font-style: normal;
	line-height: normal;
}

.contact-section form {
	color: #22223B;
	font-family: "Alegreya Sans";
	font-size: 1.2rem;
	font-style: normal;
	line-height: normal;
	margin-top: 10px;
}

.contact-section .btn-primary {
	background-color: #22223B;
    color: #FFC600;
	font-family: "Alegreya Sans";
	font-size: 1.3rem;
}

.contact-section .btn:hover {
    background-color: #e0a800;
    color: #fff;
}

.footer-section {
    background-color: #22223B;
    padding: 40px 0;
    color: #F2E9E4;
    text-align: center;
}

.footer-logo img {
    width: 80px; /* Adjust the size as needed */
    margin-bottom: 20px;
}


.footer-title p {
    color: #F2E9E4;
	text-align: center;
	font-family: "Alegreya Sans";
	font-style: normal;
	font-weight: 300;
    font-size: 1.2rem;
	line-height: normal;
}

.footer-nav ul {
	margin-top: 40px;
    list-style: none;
    padding: 0;
    display: flex;
    justify-content: center;
    gap: 50px;
}

.footer-nav ul li {
    display: inline;
}

.footer-nav ul li a {
    color: #F2E9E4;
	font-family: "Noto Serif Display";
    font-size: 1.5em;
    text-decoration: none;
    transition: color 0.3s ease;
}

.footer-nav ul li a:hover {
    color: #ffc107; 
}


@media (max-width: 1200px) {
	.smaller-container {
		max-width: 90%;
	}
}

@media (max-width: 768px) {
	.carousel-caption h1 {
		font-size: 10vw;
	}
}

@media (max-width: 576px) {
	.smaller-container {
		max-width: 100%;
	}
}